<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateIntroductionInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('introduction_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title',255)->comment('标题');
            $table->text('content')->comment('内容');
            $table->tinyInteger('type')->comment('0：使用说明；1：协议');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('introduction_info');
    }
}
